Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Interface ParameterNameDiscoverer

All Known Implementing Classes:
  AspectJAdviceParameterNameDiscoverer, LocalVariableTableParameterNameDiscoverer, PrioritizedParameterNameDiscoverer

    public interface ParameterNameDiscoverer

Interface to discover parameter names for methods and constructors.

Parameter name discovery is not always possible, but various strategies are available to try, such as looking for debug information that may have been emitted at compile time, and looking for argname annotation values optionally accompanying AspectJ annotated methods.

Since:
  2.0
Author:
  Rod Johnson, Adrian Colyer

Method Summary
`String[]` | `getParameterNames(Constructor ctor)` Return parameter names for this constructor, or `null` if they cannot be determined.
`String[]` | `getParameterNames(Method method)` Return parameter names for this method, or `null` if they cannot be determined.

Method Detail

### getParameterNames

    String[] getParameterNames(Method method)

  Return parameter names for this method, or `null` if they cannot be determined.

  Parameters:
    `method` - method to find parameter names for
  Returns:
    an array of parameter names if the names can be resolved, or `null` if they cannot

### getParameterNames

    String[] getParameterNames(Constructor ctor)

  Return parameter names for this constructor, or `null` if they cannot be determined.

  Parameters:
    `ctor` - constructor to find parameter names for
  Returns:
    an array of parameter names if the names can be resolved, or `null` if they cannot

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.